
#include <QtGlobal>
#include <QQmlContext>
#include <QApplication>
#include <QBar3DSeries>

#include "./datavizbug.h"

MainView::MainView( ) : QQuickView{}
{
    const auto series1 = new QBar3DSeries{};
    const auto data1 = new QBarDataRow{};
    *data1 << 2.f << 4.f << 8.f << 16.f << 32.f;
    series1->dataProxy()->addRow(data1);
    series1->dataProxy()->addRow(new QBarDataRow{});

    const auto series2 = new QBar3DSeries{};
    const auto data2 = new QBarDataRow{};
    *data2 << 1.f << 2.f << 3.f << 4.f << 5.f;
    series2->dataProxy()->addRow(new QBarDataRow{});
    series2->dataProxy()->addRow(data2);

    rootContext( )->setContextProperty( "series1", series1 );
    rootContext( )->setContextProperty( "series2", series2 );
    setSource( QUrl( "qrc:/datavizbug.qml" ) );
}
//-----------------------------------------------------------------------------

int	main( int argc, char** argv )
{
    QApplication app{argc, argv};
    MainView mainView;
    mainView.setResizeMode( QQuickView::SizeRootObjectToView );
    mainView.resize( 1124, 650 );
    mainView.show();
    return app.exec();
}
